import './assets/main.css'

import { createApp } from 'vue'
import App from './App.vue'
import { createPahoMqttPlugin } from 'vue-paho-mqtt'

createApp(App)
    .use(
        createPahoMqttPlugin({
            PluginOptions: {
                autoConnect: true,
                showNotifications: true,
              },
        
              MqttOptions: {
                host: 'localhost',
                port: 8080,
                clientId: `vju-${Math.random() * 9999}`,
                //mainTopic: '',
                enableMainTopic: false
              },
        })
    )
    .mount('#app')
